Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005533TestLinkRequirement Managementpublic2013-02-18 09:042013-05-26 18:50
Reportertyping82 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindows XPOS Version2002 SP3
Product Version1.9.5 (2012 Q4 - bug fixing) 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0005533: Duplicates of Requirement Spec item on the dropdown list when copy requirements
DescriptionIn the Copy Requirement page, each value in the dropdown list is displayed twice. The value will be displayed more than twice if there is a new revision of Requirement Spec.
Having looked at the "nodes_hierarchy" table, the dropdown is listing all the names where "node_type_id" is 6 or 11.
Steps To Reproduce1. Create project "TEST"
2. Create Requirement Spec "F1: Folder 1". Child of "TEST"
3. Create Requirement Spec "F2: Folder 2". Child of "TEST"
4. Create Requirement "REQ0001: Req 1". Child of "Folder 2"
5. Edit "Folder 1". Rename as "Folder 3".
6. Select "Req 1" and click Copy Requirement. Then expand the dropdown list and observe the values are 'duplicated'. Screen shot is attached (copyreq.bmp)
7. Select the first "Folder 2" and click Copy button, the "Req 1" will be copied successfully.
8. Select the second "Folder 2" and click Copy button, "DB Access Error - debug_print_backtrace() OUTPUT START" will be displayed. Details in Additional Information

Additional InformationError message from the Event Viewer after Step 8.

ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND RSPEC.id = 5' at line 1 - /* Class:requirement_spec_mgr - Method: get_by_id */ SELECT RSPEC.id,RSPEC.doc_id, RSPEC.testproject_id, RSPEC_REV.id AS revision_id, RSPEC_REV.revision , '' AS author, '' AS modifier, NH_RSPEC.node_order, RSPEC_REV.scope,RSPEC_REV.total_req,RSPEC_REV.type, RSPEC_REV.author_id,RSPEC_REV.creation_ts,RSPEC_REV.modifier_id, RSPEC_REV.modification_ts,NH_RSPEC.name AS title FROM req_specs RSPEC JOIN req_specs_revisions RSPEC_REV ON RSPEC_REV.parent_id = RSPEC.id JOIN nodes_hierarchy NH_RSPEC ON RSPEC.id = NH_RSPEC.id WHERE RSPEC.id = NH_RSPEC.id AND RSPEC_REV.id = AND RSPEC.id = 5
THE MESSAGE : /* Class:requirement_spec_mgr - Method: get_by_id */ SELECT RSPEC.id,RSPEC.doc_id, RSPEC.testproject_id, RSPEC_REV.id AS revision_id, RSPEC_REV.revision , '' AS author, '' AS modifier, NH_RSPEC.node_order, RSPEC_REV.scope,RSPEC_REV.total_req,RSPEC_REV.type, RSPEC_REV.author_id,RSPEC_REV.creation_ts,RSPEC_REV.modifier_id, RSPEC_REV.modification_ts,NH_RSPEC.name AS title FROM req_specs RSPEC JOIN req_specs_revisions RSPEC_REV ON RSPEC_REV.parent_id = RSPEC.id JOIN nodes_hierarchy NH_RSPEC ON RSPEC.id = NH_RSPEC.id WHERE RSPEC.id = NH_RSPEC.id AND RSPEC_REV.id = AND RSPEC.id = 5 Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND RSPEC.id = 5' at line 1
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL 5.0
BrowserFirefox 18.0.2, IE8
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files? file icon copyreq.bmp [^] (1,628,982 bytes) 2013-02-18 09:04

- Relationships

-  Notes
(0018343)
fman (administrator)
2013-02-18 19:31

please try with
http://gitorious.org/testlink-ga/testlink-code/commit/066fc4737cd530a9ad410a71e3e8e999e4e75fc4 [^]

and provide feedback
(0018346)
typing82 (reporter)
2013-02-19 09:09
edited on: 2013-02-19 09:15

Tried the commit above but the list did not exclude Requirement Spec Revision. The dropdown contains node type id 6 and 11.

(0018352)
fman (administrator)
2013-02-19 20:30

tested again on latest code from report work ok, nodes of type req spec revision (code 11) are excluded.
(0018396)
typing82 (reporter)
2013-03-06 17:03

modified the code in reqCommands.class.php fixed the problem I reported.

within the function copy(&$argsObj,$request)
modified
$exclude_node_types=array('testplan' => 'exclude_me','testsuite' => 'exclude_me', 'testcase'=> 'exclude_me','requirement' => 'exclude_me','requirement_spec_revision'=> 'exclude_me');
(0018397)
fman (administrator)
2013-03-06 19:09

http://gitorious.org/testlink-ga/testlink-code/commit/30c7c940f65ffd2412772c038d0883105d8ac982 [^]

- Issue History
Date Modified Username Field Change
2013-02-18 09:04 typing82 New Issue
2013-02-18 09:04 typing82 File Added: copyreq.bmp
2013-02-18 19:30 fman Assigned To => fman
2013-02-18 19:30 fman Status new => assigned
2013-02-18 19:30 fman Tag Attached: TO BE FIXED on 2.0
2013-02-18 19:31 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-02-18 19:31 fman Note Added: 0018343
2013-02-18 19:32 fman Status assigned => feedback
2013-02-19 09:09 typing82 Note Added: 0018346
2013-02-19 09:09 typing82 Status feedback => assigned
2013-02-19 09:15 typing82 Note Edited: 0018346 View Revisions
2013-02-19 20:30 fman Note Added: 0018352
2013-02-19 20:30 fman Status assigned => closed
2013-02-19 20:30 fman Resolution open => fixed
2013-02-19 20:30 fman Fixed in Version => 1.9.6 (2013 Q1 - bug fixing)
2013-03-06 17:03 typing82 Note Added: 0018396
2013-03-06 17:03 typing82 Status closed => assigned
2013-03-06 17:03 typing82 Resolution fixed => reopened
2013-03-06 19:09 fman Note Added: 0018397
2013-03-06 19:09 fman Status assigned => resolved
2013-03-06 19:09 fman Resolution reopened => fixed
2013-05-26 18:50 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker